Author Topic: Installation pre-requisites  (Read 2073 times)

0 Members and 1 Guest are viewing this topic.

Offline haggis (OP)

  • Leading Rate
  • *
  • h
  • Posts: 7
  • Thanked: 1 times
Installation pre-requisites
« on: February 08, 2022, 03:02:20 AM »
Hi guys,

if you'e old enough to remember a mailing list, you may remember the hold out 2nd ed guy. . .  well, here I am, and I've finally gotten around to updating to 3rd with the download of the classic bundle.

Erik, thanks for checking the links, I worked out what was going wrong and now have SA downloaded and installed. . .

However. . .

this is a repaired machine with a fresh Win 7 sp 1 install on it, and SA isn't working.

I seem to recall from long ago that there was a pre-requisite you had to install before SA would work. . .  some form of runtime files?

at the moment, SA is throwing constant "error 3265 was generated by DAO. fields , item not found in this collection" on startup or "error 3078 was generated by DAO. database , The Microsoft Jet database engine cannot find the input table or query 'StandardSysPlanets'.  Make sure it exists and that its name is spelled correctly".

What is it I'm missing?

Cheers,

Dave (the ex-2nd ed guy)
 
The following users thanked this post: Warer

Offline Garfunkel

  • Registered
  • Admiral of the Fleet
  • ***********
  • Posts: 2503
  • Thanked: 839 times
Re: Installation pre-requisites
« Reply #1 on: February 08, 2022, 03:31:43 AM »
You might need to install this:
https://www.microsoft.com/en-US/download/details.aspx?id=48145

I've never used SA myself but my understanding is that Aurora grew out of it so it probably needs the same Visual Studio files that old Aurora (VB6) used to require and which don't come with newer Windows versions anymore.
 

Offline haggis (OP)

  • Leading Rate
  • *
  • h
  • Posts: 7
  • Thanked: 1 times
Re: Installation pre-requisites
« Reply #2 on: February 08, 2022, 05:57:32 AM »
many thanks. .  that may have got me further (I'm not sure).

after installing the runtimes and doing a re-install of 6. 00, I can get that to work with no errors. . .  I even get the graphic splash screen at the start.

but v7. 00 or 7. 02 exes just give me the same mass errors.
 

Offline Kurt

  • Gold Supporter
  • Vice Admiral
  • *****
  • Posts: 1668
  • Thanked: 3024 times
  • 2021 Supporter 2021 Supporter : Donate for 2021
    Gold Supporter Gold Supporter : Support the forums with a Gold subscription
    2022 Supporter 2022 Supporter : Donate for 2022
Re: Installation pre-requisites
« Reply #3 on: February 08, 2022, 08:22:58 AM »
many thanks. .  that may have got me further (I'm not sure).

after installing the runtimes and doing a re-install of 6. 00, I can get that to work with no errors. . .  I even get the graphic splash screen at the start.

but v7. 00 or 7. 02 exes just give me the same mass errors.

I have a vague memory of having to install a DLL file at some point, but I can't get any closer than that.  I'll see if I can dig anything up.  I don't think I did anything special when I installed v7 on my current computer. 
 

Offline Steve Walmsley

  • Aurora Designer
  • Star Marshal
  • S
  • Posts: 11159
  • Thanked: 17972 times
    • http://www.starfireassistant.com
Re: Installation pre-requisites
« Reply #4 on: February 08, 2022, 11:31:27 AM »
many thanks. .  that may have got me further (I'm not sure).

after installing the runtimes and doing a re-install of 6. 00, I can get that to work with no errors. . .  I even get the graphic splash screen at the start.

but v7. 00 or 7. 02 exes just give me the same mass errors.

Make sure when you upgrade to 7.0, you are using the v7.0 database.
 

Offline xenoscepter

  • Vice Admiral
  • **********
  • Posts: 1072
  • Thanked: 274 times
Re: Installation pre-requisites
« Reply #5 on: February 08, 2022, 01:10:01 PM »
many thanks. .  that may have got me further (I'm not sure).

after installing the runtimes and doing a re-install of 6. 00, I can get that to work with no errors. . .  I even get the graphic splash screen at the start.

but v7. 00 or 7. 02 exes just give me the same mass errors.

I have a vague memory of having to install a DLL file at some point, but I can't get any closer than that.  I'll see if I can dig anything up.  I don't think I did anything special when I installed v7 on my current computer.

 --- By any chance was it a DLL file that you could get from some sort of simple timer / clock program, thing?
 
The following users thanked this post: haggis

Offline Black

  • Gold Supporter
  • Rear Admiral
  • *****
  • B
  • Posts: 839
  • Thanked: 197 times
  • 2021 Supporter 2021 Supporter : Donate for 2021
    2020 Supporter 2020 Supporter : Donate for 2020
    Gold Supporter Gold Supporter : Support the forums with a Gold subscription
    2022 Supporter 2022 Supporter : Donate for 2022
Re: Installation pre-requisites
« Reply #6 on: February 08, 2022, 01:55:31 PM »
I believe it might be Simple Shutdown Timer, at least that was the utility I used to get old Aurora running.
 
The following users thanked this post: xenoscepter

Offline xenoscepter

  • Vice Admiral
  • **********
  • Posts: 1072
  • Thanked: 274 times
Re: Installation pre-requisites
« Reply #7 on: February 08, 2022, 04:33:41 PM »
I believe it might be Simple Shutdown Timer, at least that was the utility I used to get old Aurora running.

 --- Yes! That was it!
 

Offline haggis (OP)

  • Leading Rate
  • *
  • h
  • Posts: 7
  • Thanked: 1 times
Re: Installation pre-requisites
« Reply #8 on: February 08, 2022, 10:25:03 PM »
Quote from: xenoscepter link=topic=12918. msg158625#msg158625 date=1644347401
Quote from: Kurt link=topic=12918. msg158618#msg158618 date=1644330178
Quote from: haggis link=topic=12918. msg158616#msg158616 date=1644321452
many thanks.  .   that may have got me further (I'm not sure). 

after installing the runtimes and doing a re-install of 6.  00, I can get that to work with no errors.  .  .   I even get the graphic splash screen at the start. 

but v7.  00 or 7.  02 exes just give me the same mass errors.

I have a vague memory of having to install a DLL file at some point, but I can't get any closer than that.   I'll see if I can dig anything up.   I don't think I did anything special when I installed v7 on my current computer. 

 --- By any chance was it a DLL file that you could get from some sort of simple timer / clock program, thing?

and that, for some reason was the issue. . .  even though I repeatedly overwrote the database, it was picking the original v6 database up (as I could tell from the test universes I created). . .  had to place the v7 mdb in a completely different location and point to it manually.

Ah well. . .

Anyway.  now to go and conquer the universe. . .

cheers

Dave (formerly the 2nd ed guy. . )